#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 assoc
version:              1.0.2
visibility:           public
id:                   assoc-1.0.2-7ZUvDYoO5iJ38zKHnU6Qtx
key:                  assoc-1.0.2-7ZUvDYoO5iJ38zKHnU6Qtx
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             swap and assoc: Symmetric and Semigroupy Bifunctors
description:
    Provides generalisations of
    @swap :: (a,b) -> (b,a)@ and
    @assoc :: ((a,b),c) -> (a,(b,c))@
    to
    @Bifunctor@s supporting similar operations (e.g. @Either@, @These@).

category:             Data
abi:                  04f70c7e32caa06fd7a4f77f865a807e
exposed:              True
exposed-modules:      Data.Bifunctor.Assoc Data.Bifunctor.Swap
import-dirs:          /usr/lib/ghc-8.10.4/site-local/assoc-1.0.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/assoc-1.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/assoc-1.0.2
hs-libraries:         HSassoc-1.0.2-7ZUvDYoO5iJ38zKHnU6Qtx
depends:
    base-4.14.1.0 bifunctors-5.5.11-Ltmgq87h2cQKTTlGecsQMH
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C

haddock-interfaces:   /usr/share/doc/haskell-assoc/html/assoc.haddock
haddock-html:         /usr/share/doc/haskell-assoc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

